roller-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From snoopd...@apache.org
Subject [10/35] roller git commit: Use variables for all dependency version numbers.
Date Mon, 06 Nov 2017 22:17:11 GMT
Use variables for all dependency version numbers.


Project: http://git-wip-us.apache.org/repos/asf/roller/repo
Commit: http://git-wip-us.apache.org/repos/asf/roller/commit/825b52a8
Tree: http://git-wip-us.apache.org/repos/asf/roller/tree/825b52a8
Diff: http://git-wip-us.apache.org/repos/asf/roller/diff/825b52a8

Branch: refs/heads/master
Commit: 825b52a869730d016f254399f780f2efbfb09a5c
Parents: e3c513d
Author: Dave Johnson <snoopdave@gmail.com>
Authored: Sun Aug 27 17:25:30 2017 -0400
Committer: Dave Johnson <snoopdave@gmail.com>
Committed: Sun Aug 27 17:25:30 2017 -0400

----------------------------------------------------------------------
 app/pom.xml                      | 95 ++++++++++++++++++++++-------------
 assembly-release/sign-release.sh |  2 +-
 2 files changed, 61 insertions(+), 36 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/roller/blob/825b52a8/app/pom.xml
----------------------------------------------------------------------
diff --git a/app/pom.xml b/app/pom.xml
index 15cf72f..1875d32 100644
--- a/app/pom.xml
+++ b/app/pom.xml
@@ -33,9 +33,34 @@ limitations under the License.
     <packaging>war</packaging>
 
     <properties>
-        <lucene.version>4.10.3</lucene.version>
+        <angular.version>1.2.29</angular.version>
+        <ant.version>1.10.1</ant.version>
+        <commons-validator.version>1.6</commons-validator.version>
+        <commons-beanutils.version>1.9.3</commons-beanutils.version>
+        <commons-httpclient.version>3.1</commons-httpclient.version>
+        <commons-codec.version>1.10</commons-codec.version>
+        <eclipse-link.version>2.5.2</eclipse-link.version>
+        <guice.version>4.1.0</guice.version>
+        <java-mail.version>1.4.7</java-mail.version>
+        <jsp-api.version>2.2</jsp-api.version>
+        <jstl.version>1.2</jstl.version>
+        <log4j.version>1.2.17</log4j.version>
+        <lucene.version>4.10.4</lucene.version>
+        <oauth-core.version>20100527</oauth-core.version>
+        <maven-war.version>3.1.0</maven-war.version>
+        <maven-surefire.version>2.17</maven-surefire.version>
+        <maven-antrun.version>1.0b3</maven-antrun.version>
+        <rome.version>1.7.4</rome.version>
+        <servlet.version>3.0.1</servlet.version>
+        <slf4j.version>1.7.25</slf4j.version>
         <spring.version>4.1.4.RELEASE</spring.version>
         <spring.security.version>3.2.5.RELEASE</spring.security.version>
+        <struts.version>2.5.12</struts.version>
+        <velocity.version>1.7</velocity.version>
+        <webjars.version>1.5</webjars.version>
+        <ws-commons-util.version>1.0.2</ws-commons-util.version>
+        <xml-security.version>1.3.0</xml-security.version>
+        <xmlrpc-version>3.1.3</xmlrpc-version>
     </properties>
 
     <dependencies>
@@ -46,27 +71,27 @@ limitations under the License.
         <dependency>
             <groupId>javax.servlet</groupId>
             <artifactId>javax.servlet-api</artifactId>
-            <version>3.0.1</version>
+            <version>${servlet.version}</version>
             <scope>provided</scope>
         </dependency>
 
         <dependency>
             <groupId>javax.servlet.jsp</groupId>
             <artifactId>jsp-api</artifactId>
-            <version>2.2</version>
+            <version>${jsp-api.version}</version>
             <scope>provided</scope>
         </dependency>
 
         <dependency>
             <groupId>javax.servlet</groupId>
             <artifactId>jstl</artifactId>
-            <version>1.2</version>
+            <version>${jstl.version}</version>
         </dependency>
 
         <dependency>
             <groupId>javax.mail</groupId>
             <artifactId>mail</artifactId>
-            <version>1.4.7</version>
+            <version>${java-mail.version}</version>
             <scope>provided</scope>
             <exclusions>
                 <exclusion>
@@ -87,7 +112,7 @@ limitations under the License.
         <dependency>
             <groupId>org.eclipse.persistence</groupId>
             <artifactId>eclipselink</artifactId>
-            <version>2.5.2</version>
+            <version>${eclipse-link.version}</version>
         </dependency>
 
         <!-- Alternative testing with Hibernate (used by default with JBoss)
@@ -131,101 +156,101 @@ limitations under the License.
         <dependency>
             <groupId>org.apache.velocity</groupId>
             <artifactId>velocity</artifactId>
-            <version>1.7</version>
+            <version>${velocity.version}</version>
         </dependency>
 
         <dependency>
             <groupId>org.apache.struts</groupId>
             <artifactId>struts2-core</artifactId>
-            <version>2.5.12</version>
+            <version>${struts.version}</version>
         </dependency>
 
         <dependency>
             <groupId>org.apache.struts</groupId>
             <artifactId>struts2-spring-plugin</artifactId>
-            <version>2.5.12</version>
+            <version>${struts.version}</version>
         </dependency>
 
         <dependency>
             <groupId>org.apache.struts</groupId>
             <artifactId>struts2-convention-plugin</artifactId>
-            <version>2.5.12</version>
+            <version>${struts.version}</version>
         </dependency>
 
         <dependency>
             <groupId>org.apache.struts</groupId>
             <artifactId>struts2-tiles-plugin</artifactId>
-            <version>2.5.12</version>
+            <version>${struts.version}</version>
         </dependency>
 
         <dependency>
             <groupId>org.apache.lucene</groupId>
             <artifactId>lucene-analyzers-common</artifactId>
             <scope>compile</scope>
-            <version>4.10.4</version>
+            <version>${lucene.version}</version>
         </dependency>
 
         <dependency>
             <groupId>org.apache.lucene</groupId>
             <artifactId>lucene-queryparser</artifactId>
             <scope>compile</scope>
-            <version>4.10.4</version>
+            <version>${lucene.version}</version>
         </dependency>
 
 
         <dependency>
             <groupId>log4j</groupId>
             <artifactId>log4j</artifactId>
-            <version>1.2.17</version>
+            <version>${log4j.version}</version>
         </dependency>
 
         <dependency>
             <groupId>commons-validator</groupId>
             <artifactId>commons-validator</artifactId>
-            <version>1.6</version>
+            <version>${commons-validator.version}</version>
             <type>jar</type>
         </dependency>
 
         <dependency>
             <groupId>commons-beanutils</groupId>
             <artifactId>commons-beanutils</artifactId>
-            <version>1.9.3</version>
+            <version>${commons-beanutils.version}</version>
         </dependency>
 
         <dependency>
             <groupId>commons-httpclient</groupId>
             <artifactId>commons-httpclient</artifactId>
-            <version>3.1</version>
+            <version>${commons-httpclient.version}</version>
         </dependency>
 
         <dependency>
             <groupId>commons-codec</groupId>
             <artifactId>commons-codec</artifactId>
-            <version>1.10</version>
+            <version>${commons-codec.version}</version>
         </dependency>
 
         <dependency>
             <groupId>xml-security</groupId>
             <artifactId>xmlsec</artifactId>
-            <version>1.3.0</version>
+            <version>${xml-security.version}</version>
         </dependency>
 
         <dependency>
             <groupId>org.apache.xmlrpc</groupId>
             <artifactId>xmlrpc-common</artifactId>
-            <version>3.1.3</version>
+            <version>${xmlrpc-version}</version>
         </dependency>
 
         <dependency>
             <groupId>org.apache.xmlrpc</groupId>
             <artifactId>xmlrpc-client</artifactId>
-            <version>3.1.3</version>
+            <version>${xmlrpc-version}</version>
         </dependency>
 
         <dependency>
             <groupId>org.apache.xmlrpc</groupId>
             <artifactId>xmlrpc-server</artifactId>
-            <version>3.1.3</version>
+            <version>${xmlrpc-version}</version>
             <exclusions>
                 <exclusion>
                     <groupId>javax.servlet</groupId>
@@ -237,7 +262,7 @@ limitations under the License.
         <dependency>
             <groupId>org.apache.ws.commons.util</groupId>
             <artifactId>ws-commons-util</artifactId>
-            <version>1.0.2</version>
+            <version>${ws-commons-util.version}</version>
             <exclusions>
                 <exclusion>
                     <groupId>xml-apis</groupId>
@@ -315,34 +340,34 @@ limitations under the License.
         <dependency>
             <groupId>com.google.inject</groupId>
             <artifactId>guice</artifactId>
-            <version>4.1.0</version>
+            <version>${guice.version}</version>
         </dependency>
 
         <dependency>
             <groupId>org.slf4j</groupId>
             <artifactId>slf4j-log4j12</artifactId>
-            <version>1.7.25</version>
+            <version>${slf4j.version}</version>
             <scope>runtime</scope>
         </dependency>
 
         <dependency>
             <groupId>com.rometools</groupId>
             <artifactId>rome-fetcher</artifactId>
-            <version>1.7.4</version>
+            <version>${rome.version}</version>
             <scope>compile</scope>
         </dependency>
 
         <dependency>
             <groupId>com.rometools</groupId>
             <artifactId>rome-fetcher</artifactId>
-            <version>1.7.4</version>
+            <version>${rome.version}</version>
             <scope>compile</scope>
         </dependency>
 
         <dependency>
             <groupId>com.rometools</groupId>
             <artifactId>rome-propono</artifactId>
-            <version>1.7.4</version>
+            <version>${rome.version}</version>
             <scope>compile</scope>
             <exclusions>
                 <exclusion>
@@ -359,20 +384,20 @@ limitations under the License.
         <dependency>
             <groupId>org.webjars</groupId>
             <artifactId>webjars-servlet-2.x</artifactId>
-            <version>1.5</version>
+            <version>${webjars.version}</version>
         </dependency>
 
         <dependency>
             <groupId>org.webjars.npm</groupId>
             <artifactId>angular</artifactId>
-            <version>1.2.29</version>
+            <version>${angular.version}</version>
         </dependency>
 
         <dependency>
             <groupId>net.oauth.core</groupId>
             <artifactId>oauth-provider</artifactId>
             <scope>compile</scope>
-            <version>20100527</version>
+            <version>${oauth-core.version}</version>
         </dependency>
 
 
@@ -387,7 +412,7 @@ limitations under the License.
         <dependency>
             <groupId>org.apache.ant</groupId>
             <artifactId>ant</artifactId>
-            <version>1.10.1</version>
+            <version>${ant.version}</version>
             <scope>test</scope>
         </dependency>
 
@@ -416,7 +441,7 @@ limitations under the License.
             <plugin>
                 <groupId>org.apache.maven.plugins</groupId>
                 <artifactId>maven-war-plugin</artifactId>
-                <version>3.1.0</version>
+                <version>${maven-war.version}</version>
                 <configuration>
                     <attachClasses>true</attachClasses>
                 </configuration>
@@ -452,7 +477,7 @@ limitations under the License.
                     <dependency>
 	                    <groupId>javax.mail</groupId>
 	                    <artifactId>mail</artifactId>
-	                    <version>1.4.7</version>
+	                    <version>${java-mail.version}</version>
                     </dependency>
                 </dependencies>
             </plugin>
@@ -584,7 +609,7 @@ limitations under the License.
                     <dependency>
                         <groupId>ant-contrib</groupId>
                         <artifactId>ant-contrib</artifactId>
-                        <version>1.0b3</version>
+                        <version>${maven-antrun.version}</version>
                         <exclusions>
                             <exclusion>
                                 <groupId>ant</groupId>

http://git-wip-us.apache.org/repos/asf/roller/blob/825b52a8/assembly-release/sign-release.sh
----------------------------------------------------------------------
diff --git a/assembly-release/sign-release.sh b/assembly-release/sign-release.sh
index 7b6d9e2..bb23f2c 100755
--- a/assembly-release/sign-release.sh
+++ b/assembly-release/sign-release.sh
@@ -1,6 +1,6 @@
 #!/usr/bin/env bash
 
-export rcstring="-rc-1"
+export rcstring="-rc-2"
 export vstring="5.2.0"
 
 # for rc releases we rename the release files


Mime
View raw message